Skip to main content
Memory Stores

Create a memory store

POST
/memory_stores

Creates a memory store resource with the provided configuration.

Query Parameters
api-versionstringrequired
The API version to use for this operation.
Header Parameters
Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Request BodyContent-Type: application/json
namestringrequired
The name of the memory store.
descriptionstring
A human-readable description of the memory store.
metadataobject
Arbitrary key-value metadata to associate with the memory store.
definitiondefaultrequired
Base definition for memory store configurations.
One of the following:
defaultMemoryStoreDefaultDefinition
Default memory store implementation.
Responses
objectenumrequired
The object type, which is always 'memory_store'.
memory_store
idstringrequired
The unique identifier of the memory store.
created_atintegerrequired
updated_atintegerrequired
namestringrequired
The name of the memory store.
descriptionstring
A human-readable description of the memory store.
metadataobject
Arbitrary key-value metadata to associate with the memory store.
definitiondefaultrequired
Base definition for memory store configurations.
One of the following:
defaultMemoryStoreDefaultDefinition
Default memory store implementation.